import { Action } from '../../../common/actions.js';
import { localizeWithPath } from '../../../../nls.js';
const _moduleId = "vs/base/browser/ui/tree/treeDefaults";
class CollapseAllAction extends Action {
    constructor(viewer, enabled) {
        super('vs.tree.collapse', ( localizeWithPath(_moduleId, 0, "Collapse All")), 'collapse-all', enabled);
        this.viewer = viewer;
    }
    async run() {
        this.viewer.collapseAll();
        this.viewer.setSelection([]);
        this.viewer.setFocus([]);
    }
}
export { CollapseAllAction };
