interface IDebugParams {
    port: number | null;
    break: boolean;
}
interface IExtensionHostDebugParams extends IDebugParams {
    debugId?: string;
    env?: Record<string, string>;
}
/**
 * Type of extension.
 *
 * **NOTE**: This is defined in `platform/environment` because it can appear as a CLI argument.
 */
type ExtensionKind = 'ui' | 'workspace' | 'web';

export type { ExtensionKind, IDebugParams, IExtensionHostDebugParams };
