import { localizeWithPath } from '../../../../nls.js';
import { Color, RGBA } from '../../../../base/common/color.js';
import { registerColor, transparent } from '../colorUtils.js';
import { editorInfoForeground, editorInfoBorder, editorWarningForeground, editorWarningBorder } from './editorColors.js';
import { scrollbarSliderBackground, scrollbarSliderHoverBackground, scrollbarSliderActiveBackground } from './miscColors.js';
const _moduleId = "vs/platform/theme/common/colors/minimapColors";
const minimapFindMatch = registerColor('minimap.findMatchHighlight', { light: '#d18616', dark: '#d18616', hcDark: '#AB5A00', hcLight: '#0F4A85' }, ( localizeWithPath(_moduleId, 0, 'Minimap marker color for find matches.')), true);
const minimapSelectionOccurrenceHighlight = registerColor('minimap.selectionOccurrenceHighlight', { light: '#c9c9c9', dark: '#676767', hcDark: '#ffffff', hcLight: '#0F4A85' }, ( localizeWithPath(_moduleId, 1, 'Minimap marker color for repeating editor selections.')), true);
const minimapSelection = registerColor('minimap.selectionHighlight', { light: '#ADD6FF', dark: '#264F78', hcDark: '#ffffff', hcLight: '#0F4A85' }, ( localizeWithPath(_moduleId, 2, 'Minimap marker color for the editor selection.')), true);
const minimapInfo = registerColor('minimap.infoHighlight', { dark: editorInfoForeground, light: editorInfoForeground, hcDark: editorInfoBorder, hcLight: editorInfoBorder }, ( localizeWithPath(_moduleId, 3, 'Minimap marker color for infos.')));
const minimapWarning = registerColor('minimap.warningHighlight', { dark: editorWarningForeground, light: editorWarningForeground, hcDark: editorWarningBorder, hcLight: editorWarningBorder }, ( localizeWithPath(_moduleId, 4, 'Minimap marker color for warnings.')));
const minimapError = registerColor('minimap.errorHighlight', { dark: ( (new Color( (new RGBA(255, 18, 18, 0.7))))), light: ( (new Color( (new RGBA(255, 18, 18, 0.7))))), hcDark: ( (new Color( (new RGBA(255, 50, 50, 1))))), hcLight: '#B5200D' }, ( localizeWithPath(_moduleId, 5, 'Minimap marker color for errors.')));
const minimapBackground = registerColor('minimap.background', { dark: null, light: null, hcDark: null, hcLight: null }, ( localizeWithPath(_moduleId, 6, "Minimap background color.")));
const minimapForegroundOpacity = registerColor('minimap.foregroundOpacity', { dark: ( (Color.fromHex('#000f'))), light: ( (Color.fromHex('#000f'))), hcDark: ( (Color.fromHex('#000f'))), hcLight: ( (Color.fromHex('#000f'))) }, ( localizeWithPath(
 _moduleId,
 7,
 'Opacity of foreground elements rendered in the minimap. For example, "#000000c0" will render the elements with 75% opacity.'
)));
registerColor('minimapSlider.background', { light: ( (transparent(scrollbarSliderBackground, 0.5))), dark: ( (transparent(scrollbarSliderBackground, 0.5))), hcDark: ( (transparent(scrollbarSliderBackground, 0.5))), hcLight: ( (transparent(scrollbarSliderBackground, 0.5))) }, ( localizeWithPath(_moduleId, 8, "Minimap slider background color.")));
registerColor('minimapSlider.hoverBackground', { light: ( (transparent(scrollbarSliderHoverBackground, 0.5))), dark: ( (transparent(scrollbarSliderHoverBackground, 0.5))), hcDark: ( (transparent(scrollbarSliderHoverBackground, 0.5))), hcLight: ( (transparent(scrollbarSliderHoverBackground, 0.5))) }, ( localizeWithPath(_moduleId, 9, "Minimap slider background color when hovering.")));
registerColor('minimapSlider.activeBackground', { light: ( (transparent(scrollbarSliderActiveBackground, 0.5))), dark: ( (transparent(scrollbarSliderActiveBackground, 0.5))), hcDark: ( (transparent(scrollbarSliderActiveBackground, 0.5))), hcLight: ( (transparent(scrollbarSliderActiveBackground, 0.5))) }, ( localizeWithPath(_moduleId, 10, "Minimap slider background color when clicked on.")));
export { minimapBackground, minimapError, minimapFindMatch, minimapForegroundOpacity, minimapInfo, minimapSelection, minimapSelectionOccurrenceHighlight, minimapWarning };
