import { URI } from '../../../base/common/uri.js';

interface WorkspaceTrustRequestButton {
    readonly label: string;
    readonly type: 'ContinueWithTrust' | 'ContinueWithoutTrust' | 'Manage' | 'Cancel';
}
interface WorkspaceTrustRequestOptions {
    readonly buttons?: WorkspaceTrustRequestButton[];
    readonly message?: string;
}
declare const enum WorkspaceTrustUriResponse {
    Open = 1,
    OpenInNewWindow = 2,
    Cancel = 3
}
interface IWorkspaceTrustTransitionParticipant {
    participate(trusted: boolean): Promise<void>;
}
interface IWorkspaceTrustUriInfo {
    uri: URI;
    trusted: boolean;
}

export { type IWorkspaceTrustTransitionParticipant, type IWorkspaceTrustUriInfo, type WorkspaceTrustRequestButton, type WorkspaceTrustRequestOptions, WorkspaceTrustUriResponse };
