import { IUntypedEditorInput } from '../common/editor.js';
import { EditorGroupLayout } from '../services/editor/common/editorGroupsService.js';

interface IEditorToOpen {
    readonly editor: IUntypedEditorInput;
    readonly viewColumn?: number;
}
interface ILayoutInitializationState {
    readonly views: {
        readonly defaults: string[] | undefined;
        readonly containerToRestore: {
            sideBar?: string;
            panel?: string;
            auxiliaryBar?: string;
        };
    };
    readonly editor: {
        readonly restoreEditors: boolean;
        readonly editorsToOpen: Promise<IEditorToOpen[]>;
    };
    readonly layout?: {
        readonly editors?: EditorGroupLayout;
    };
}

export type { IEditorToOpen, ILayoutInitializationState };
