import { ServiceIdentifier } from '../../../../platform/instantiation/common/instantiation.js';
import { Event } from '../../../../base/common/event.js';
import { IUserDataProfile } from '../../../../platform/userDataProfile/common/userDataProfile.js';
import { DidChangeUserDataProfileEvent } from './userDataProfile.js';

declare const IUserDataProfileService: ServiceIdentifier<IUserDataProfileService>;
interface IUserDataProfileService {
    readonly _serviceBrand: undefined;
    readonly currentProfile: IUserDataProfile;
    readonly onDidChangeCurrentProfile: Event<DidChangeUserDataProfileEvent>;
    updateCurrentProfile(currentProfile: IUserDataProfile): Promise<void>;
    getShortName(profile: IUserDataProfile): string;
}

export { IUserDataProfileService };
